
Ruby - Bug #9559

build failure with clang 3.4

02/24/2014 03:09 PM - swills (Steve Wills)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 2.2.0   

ruby -v: - Backport: 2.0.0: REQUIRED, 2.1: REQUIRED

Description

With clang 3.4 ruby has problems configuring / building dl.so. Please see:

http://lists.freebsd.org/pipermail/freebsd-ruby/2014-February/004085.html

The attached patch resolves it.

History

#1 - 02/25/2014 07:24 AM - hsbt (Hiroshi SHIBATA)

- File deleted (patch-ext__dl__extconf.rb)

#2 - 02/25/2014 07:25 AM - hsbt (Hiroshi SHIBATA)

Hi Steve, Thank you for your report.

Our redmine could't serve your patch. Could you attached again?

#3 - 02/25/2014 09:43 AM - nobu (Nobuyoshi Nakada)

- Tracker changed from Bug to Backport

- Project changed from Ruby to 13

It has been fixed by r34523.

And 1.9.3 went into the state of the security maintenance phase at 24 Feb.

#4 - 08/21/2014 05:32 PM - swills (Steve Wills)

Sorry, didn't see this comment until now. The patch is:

http://svnweb.freebsd.org/ports/head/lang/ruby21/files/patch-ext__dl__extconf.rb?revision=345917&view=co

That's the 2.1 version. Though perhaps it is already patched in trunk, I'm not sure.

#5 - 08/27/2014 04:45 PM - nagachika (Tomoyuki Chikanaga)

- Tracker changed from Backport to Bug

- Project changed from 13 to Ruby

- Category set to ext

- Status changed from Open to Assigned

- Assignee set to nobu (Nobuyoshi Nakada)

- Target version set to 2.2.0

- ruby -v set to -

- Backport set to 2.0.0: REQUIRED, 2.1: REQUIRED

The patch can be applied cleanly to trunk (and 2.0.0/2.1).

It can be a new issue.

I move this ticket to ruby-trunk.

#6 - 01/10/2015 01:35 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed
DL has been removed from Ruby 2.2.0 or later.

but I think we need to backport this issue into Ruby 2.1 and 2.0.0

https://github.com/freebsd/freebsd-ports/blob/master/lang/ruby19/files/patch-ext__dl__extconf.rb
